#ifndef CV_BLOB_TRACK
#define CV_BLOB_TRACK

#ifdef _CH_
#pragma package <opencv>
#endif

#ifndef _EiC
#include "cv.h"
#include "highgui.h"
#include <stdio.h>
#include <ctype.h>
#endif

IplImage *image = 0, *hsv = 0, *hue = 0, *mask = 0, *backproject = 0, *histimg = 0;
CvHistogram *hist = 0;

int backproject_mode = 0;
int select_object = 0;
int track_object = 0;
int show_hist = 1;
CvPoint origin;
CvRect selection;
CvRect track_window;
CvBox2D track_box;
CvConnectedComp track_comp;
int hdims = 16;
float hranges_arr[] = {0,180};
float* hranges = hranges_arr;
int vmin = 10, vmax = 256, smin = 30;

void cv_blob_on_mouse( int event, int x, int y, int flags, void* param );
CvScalar cv_blob_hsv2rgb( float hue );
bool cv_blob_start(int argc, char** argv, unsigned char *image, double &boxX1, double &boxY1, double &boxX2, double &boxY2);
void cv_blob_stop();

#ifdef _EiC
main(1,"camshiftdemo.c");
#endif

#endif
