#ifndef NET_COMM_H
#define NET_COMM_H

#define DEFAULT_NETCOMM_PORT 23456
#define DEFAULT_NETCOMM_HOST "localhost"
#define DEFAULT_NETCOMM_BUFFER_SIZE 2048
#define DEFAULT_NETCOMM_TYPE NETCOMM_TYPE_CLIENT

#define NETCOMM_TYPE_CLIENT 0
#define NETCOMM_TYPE_SERVER 1

#define NETCOMM_NOMESSAGE "NOMESSAGE"

class NetComm  {
  protected:

    char name[10000];
    char bufferedMessage[10000];

    int the_socket;
    int server_socket;
    int port;
    char host[10000];
    int comm_type;
    int debug; 


  public:
    bool read_(char *message);
    bool write_(char *message);
    NetComm();
    ~NetComm();
    void readData();
    void init();
    char *getName();
    bool connect_(bool read_init_msg = false);
    void setPort(int port);
    void setHost(char *host);
    void setCommType(int type);

    void sendMessage(char *message);
    void getOutput(char *message);
};

#endif
