#!/bin/bash


export CLASSPATH=.:gnu.getopt.jar:cricketdaemon.jar:Jama-1.0.1.jar:comm.jar
export THIS_HOST=192.168.1.80
export CRICKETDAEMON_DEBUG=#"-D"
export CRICKETD_DEBUG="-D 6"
export FITTING_FN="-a 1.0769 -b -4.4617"
#export FITTING_FN="-a 1.086 -b -4.65"
#export FITTING_FN="-a 2.0"
#export FITTING_FN= 

export START_CONNECTPORT_PORT=12001
export START_CRICKETDAEMON_PORT=3001
export START_CPOSITIONSERVER_PORT=10001
export START_POSITIONSERVER_PORT=20001

export num_crickets=1
#if [$# -gt 0] 
#  export num_crickets=${1}
#end


cricket_count="0"
while [ ${cricket_count} -lt ${num_crickets} ]
do

  connectport_port=$[${START_CONNECTPORT_PORT} + ${cricket_count}]
  cpositionserver_port=$[${START_CPOSITIONSERVER_PORT} + ${cricket_count}]
  positionserver_port=$[${START_POSITIONSERVER_PORT} + ${cricket_count}]
  cricketdaemon_port=$[${START_CRICKETDAEMON_PORT} + ${cricket_count}]
  cricket_id=$[${cricket_count}+1]

  ./cricketd ${FITTING_FN} -S ${cricketdaemon_port} -z ${CRICKETD_DEBUG} -p${THIS_HOST}:${connectport_port} >& cricket_d.${cricket_count}.log  
  

  
  cricket_count=$[${cricket_count}+1]
done













#./PositionServer ${num_crickets} ${START_POSITIONSERVER_PORT} ${THIS_HOST} 30001 
  #echo 
  #echo "Cricket ${cricket_count} ${cricket_id} connectport:${connectport_port} cpositionserver:${cpositionserver_port} cricketdaemon:${cricketdaemon_port} positionserver:${positionserver_port}"

  #sleep 1
  #java cricketdaemon.CricketDaemon ${CRICKETDAEMON_DEBUG}  -P -p${cpositionserver_port} -g127.0.0.1 -S4000 -e2 -Z${cricketdaemon_port} -mbeacons.conf  >& cricket_daemon.${cricket_count}.log &
  #sleep 1
  #java CricketPositionServer -i ${cricket_id}  -c ${cpositionserver_port} -p ${positionserver_port} >& cricket_cpositionserver.${cricket_count}.log &
  #sleep 2


