/**********************************************************************
 **                                                                  **
 **                       RComServerProtocols.h                      **
 **                                                                  **
 **  Written by:  Yoichiro Endo                                      **
 **                                                                  **
 **  The protocols used between RComServer and RComClient are here   **
 **  defined.                                                        **
 **                                                                  **
 **  Copyright 2006 Georgia Tech Research Corporation                **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/
#ifndef RComServerProtocols_H
#define RComServerProtocols_H

/* $Id: RComServerProtocols.h,v 1.1 2008-07-15 22:34:01 endo Exp $ */

#define RCOMSERVER_PROTOCOL_SYNC_BYTE1 (0x01)
#define RCOMSERVER_PROTOCOL_SYNC_BYTE2 (0x02)

#define RCOMSERVER_PROTOCOL_INIT (0x10)
#define RCOMSERVER_PROTOCOL_EXIT (0x11)
#define RCOMSERVER_PROTOCOL_POLL (0x12)
#define RCOMSERVER_PROTOCOL_DATA (0x13)

#endif
/**********************************************************************
 * $Log: RComServerProtocols.h,v $
 * Revision 1.1  2008-07-15 22:34:01  endo
 * OpenCV, Gazebo and USARSim added.
 *
 * Revision 1.1  2006/08/09 21:12:37  endo
 * RCom added.
 *
 * Revision 1.2  2006/02/24 11:50:34  endo
 * RComm_Controller checked in.
 *
 * Revision 1.1  2006/02/22 07:17:23  endo
 * RComServer and RComClient implemented.
 *
 **********************************************************************/
